### Function

# EDataServer SoupSession util_ref_message_request_body

since: 3.46

#### Declaration [src]

    GInputStream*
    e_soup_session_util_ref_message_request_body (
      SoupMessage* message,
      gssize* out_length
    )

#### Description [src]

Returns referenced request data for the `message`, as being previously set by the `e_soup_session_util_set_message_request_body()` or e_soup_session_util_set_message_request_body_from_data().

Do not call this function while the `message` is queued in a `SoupSession`, nor modify the input stream position until the `message` lefts the `SoupSession`.

Available since: 3.46

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the function.

`out_length`

  Type: `gssize*`

  Length of the input stream.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `GInputStream`

A new `GInputStream` with the request body being previously set, or `NULL`. The `out_length` is set to the length of the returned input stream.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.